#include<bits/stdc++.h>
using namespace std;
typedef long long ll;
const ll mod=11;
mt19937 rnd(time(0));
inline ll read()
{
	ll s=0,f=0;char ch=getchar();
	for(;!isdigit(ch);ch=getchar()) f|=(ch=='-');
	for(;isdigit(ch);ch=getchar()) s=(s<<3)+(s<<1)+(ch^48);
	return f?-s:s;
}
int main()
{
	freopen("traverse.in","r",stdin);
	freopen("traverse.out","w",stdout);
	cout<<rnd()%mod;
	return 0;
}
